Subject: NodeTemplateConverter
Description

expects node properties and returns a "NodeTemplate" that can be attached to a persistent node

Associated revisions
Revision e6290640 - 2013-02-25 16:10 - Bastian Waidelich

[!!!][FEATURE] Support for transient nodes

Introduces a new transient node type "NodeTemplate".
Both Node and NodeTemplate implement the (simplified) interface NodeInterface.
Node additionally implement the interface PersistedNodeInterface that contains
stubs related to persistence and context.

Besides this adds TypeConverters for both, persisted nodes and node templates.

This is a breaking change if you referred to NodeInterface in your code. In this case
you should replace the reference with PersistentNodeInterface – unless you only
invoke methods defined in the NodeInterface.

Change-Id: Id1e7b624ece93106ec028eda432fd3e323b86bff
Resolves: #44917
Resolves: #44918

History
#1 - 2013-01-30 18:45 - Bastian Waidelich
- Subject changed from TransientNodeConverter: expects parent node (path), properties and returns a "TransientNode" that can be attached to it's 
parent node to NodeTemplateConverter
- Status changed from New to Accepted

#2 - 2013-01-30 18:52 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17865

#3 - 2013-02-25 16:11 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17865
#4 - 2013-02-25 19:35 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e629064007577d67beba8bcba26463da810d7511.
